Documentation Index
Fetch the complete documentation index at: https://docs.tryvinci.com/llms.txt
Use this file to discover all available pages before exploring further.
Generation is asynchronous. Use the status endpoint to check when your video is ready.
Related
GET /api/v1/status/{request_id}
Authorization: Bearer sk-your-api-key-here
Status responses
{
"request_id": "req_abc123...",
"status": "pending",
"estimated_cost_usd": 0.25
}
{
"request_id": "req_abc123...",
"status": "processing",
"estimated_cost_usd": 0.25,
"progress": 45
}
{
"request_id": "req_abc123...",
"status": "completed",
"video_url": "https://storage.googleapis.com/vinci-dev/videos/generated_video.mp4",
"duration_seconds": 5.2,
"cost_usd": 0.26
}
{
"request_id": "req_abc123...",
"status": "failed",
"error": "Invalid prompt format"
}
Code examples
curl -X GET "https://tryvinci.com/api/v1/status/your-request-id" \
-H "Authorization: Bearer sk-your-api-key-here"